Subject: Re: Issue 26 BGP Base Draft - Issue List v2.0 (Draft-19)

From: Jeffrey Haas <[email-masked]>
Date: Tue, 28 Jan 2003 17:05:22 -0500

On Mon, Dec 23, 2002 at 03:06:42PM -0000, Tom Petch wrote:
> If we do add
>    3) Automatic start with passive TCP establishment and bgp_stop_flap
> option set
> 
> which I understand is Sue's resolution, then for Idle state the
> actions are straightforward but for the other five, is the event
> completely ignored?

From the current draft:
       The start events [Event 1, 3-6] are ignored in connect
       state.

       The start events [Event1, 3-6] are ignored in the Active
       state.

       The Start events [Event1, 3-6] are ignored in the OpenSent
       state.

       Any start event [Event1, 3-6] is ignored in the OpenConfirm
       state.

       Any start event (Event 1, 3-6) is ignored in the
       Established state.

> If so, does it mean that the passive flag and the
> bgp_stop_flap option are ignored and we carry on as if we were when we
> were started which may have been without them.  Or is the fact of
> starting ignored but the flags remain set and so color the effect of
> other events?  Needs defining.

"ignore" means do nothing.  This means don't twiddle with the flags. :-)

-- 
Jeff Haas 
NextHop Technologies